Subject: bug#43494: closed (Re: [bug#43494] [PATCH v2 4/4] services: guix: Add guix-build-coordinator-queue-builds-service-type.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 05 Oct 2020 17:17:02 +0000

Your bug report

#43494: [PATCH 0/4] Add package and services for the Guix Build Coordinator

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43494: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43494
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#43494] [PATCH v2 4/4] services: guix: Add guix-build-coordinator-queue-builds-service-type.
From: Christopher Baines <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Mon, 05 Oct 2020 18:16:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> writes:

> Hi Chris,
>
> Sorry for the delay.  Patches 1–3 LGTM!  One minor comment on patch 4:
>
> Christopher Baines <[email-masked]> skribis:
>
>> * gnu/services/guix.scm (<guix-build-coordinator-queue-builds-configuration>):
>> New record type.
>> (guix-build-coordinator-queue-builds-configuration,
>> guix-build-coordinator-queue-builds-configuration?,
>> guix-build-coordinator-queue-builds-configuration-package,
>> guix-build-coordinator-queue-builds-configuration-user,
>> guix-build-coordinator-queue-builds-coordinator,
>> guix-build-coordinator-queue-builds-configuration-systems,
>> guix-build-coordinator-queue-builds-configuration-system-and-targets,
>> guix-build-coordinator-queue-builds-configuration-guix-data-service,
>> guix-build-coordinator-queue-builds-configuration-processed-commits-file,
>> guix-build-coordinator-queue-builds-shepherd-services,
>> guix-build-coordinator-queue-builds-activation,
>> guix-build-coordinator-queue-builds-account): New procedures.
>> (guix-build-coordinator-queue-builds-service-type): New variable.
>
> [...]
>
>>  
>> +@defvar {Scheme Variable} guix-build-coordinator-queue-builds-service-type
>> +Service type for the
>> +guix-build-coordinator-queue-builds-from-guix-data-service script.  Its
>> +value must be a @code{guix-build-coordinator-queue-builds-configuration}
>> +object.
>> +@end defvar
>
> Could you add a paragraph right above this explaining what this service
> is about?
>
>> +(define guix-build-coordinator-queue-builds-service-type
>> +  (service-type
>> +   (name 'guix-build-coordinator-queue-builds)
>> +   (extensions
>> +    (list
>> +     (service-extension shepherd-root-service-type
>> +                        guix-build-coordinator-queue-builds-shepherd-services)
>> +     (service-extension activation-service-type
>> +                        guix-build-coordinator-queue-builds-activation)
>> +     (service-extension account-service-type
>> +                        guix-build-coordinator-queue-builds-account)))
>> +   (description
>> +    "Run the Guix Build Coordinator queue builds script.")))
>
> Likewise it’d be great if you could add a few works here.
>
> OK to push with these changes, thank you!

I've tried to add some clarity in the places you mention. I'm still very
tempted to make a separate repository/package for the queue builds from
Guix Data Service script... I'm not quite decided yet though.

Anyway, thanks for taking another look. I've gone ahead and pushed these
patches as c14714cbbfe9239410aec2ed73282192a64fbbdc. I did tweak the
package definition a bit though to move closer to being able to
cross-compile it (you can now if you tweak the inputs).

Thanks again,

Chris

Subject: [PATCH 0/4] Add package and services for the Guix Build Coordinator
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Fri, 18 Sep 2020 19:34:47 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series is not particularly well tested, like the Guix Build
Coordinator itself, but it should hopefully still work at least in some
configurations.

Christopher Baines (4):
  gnu: Add guix-build-coordinator.
  services: guix: Add guix-build-coordinator-service-type.
  services: guix: Add guix-build-coordinator-agent-service-type.
  services: guix: Add guix-build-coordinator-queue-builds-service-type.

 doc/guix.texi                       | 143 +++++++++
 gnu/packages/package-management.scm |  89 ++++++
 gnu/services/guix.scm               | 433 +++++++++++++++++++++++++++-
 gnu/tests/guix.scm                  |  75 ++++-
 4 files changed, 736 insertions(+), 4 deletions(-)